LFR-FSW - Bug #982

Verification SC_potention V_F3
16/03/2017 11:31 AM - Veronique bouzid

Status: Closed Start date: 16/03/2017
Priority: Urgent Due date:

Assignee: thomas chust % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Voici le plots obtenus lors de la crétion de la ramp 2mn sur V
Le plot vert = HK
Le plot fushia = CWF_F3

le temps du 1er HK est 55.0289154052734375
le temps de la premiere cwf_f3 est 55.9727478027343750

Les données sont rangées dans le répertoire
/home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/RampUp_2mn_on_V.

Les données sont également sur le ftp
ftp:/ftp.lpp.polytechnigue.fr/bouzid/keep/LFR/3.2.0.3/SC_potential_mean_HK_datasets/RampUp_2mn_on_V

History

#1 - 16/03/2017 01:57 PM - Veronique bouzid
- File Sine_0.1Hz_on_V_hk_cwif3.png added

Résultats du test Envoi d une sinusoide 0.1hz sur SC_V_F3

les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Sine_0.1Hz_on_V.
Les données sont également sur le ftp

ftp://ftp.lpp.polytechnique.fr/bouzid/keep/LFR/3.2.0.3/SC_potential mean_HK_datasets/Sine_0.1Hz_on_V

Résultats du test Envoi d une sinusoide 0.1hz sur SC_E1E2_F3
Les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Sine_0.1Hz_on_E1E2.
Les données sont egalement sur le ftp

Résultats du test Envoi d un carré 0.1hz sur SC_V_F3
les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Square_0.1Hz_on_V.
Les données sont également sur le ftp

ftp://ftp.Ipp.polytechnique.fr/bouzid/keep/LFR/3.2.0.3/SC_potential_mean_HK_datasets/Square_0.1Hz_on_V

Résultats du test Envoi d un carré 0.1hz sur SC_E1E2_F3

Les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Square_0.1Hz_on_E1E2.

Les données sont également sur le ftp
ftp://ftp.lpp.polytechnique.fr/bouzid/keep/LFR/3.2.0.3/SC_potential mean_HK_datasets/Square 0.1Hz _on_E1E2

Résultats du test Envoi d une sinusoide 10hz sur SC_V_F3
les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Sine_10Hz_on_V.
Les données sont egalement sur le ftp

Résultats du test Envoi d une sinusoide 10hz sur SC_E1E2_F3
Les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Sine_10Hz_on_E1E2.
Les données sont également sur le ftp

ftp://ftp.Ipp.polytechnique.fr/bouzid/keep/LFR/3.2.0.3/SC_potential_mean_HK_datasets/Sine_10Hz_on_E1E2

Résultats du test Envoi d une sinusoide 5hz sur SC_V_F3*

les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Sine_5Hz_on_V.
Les données sont également sur le ftp
ftp://ftp.lpp.polytechnique.fr/bouzid/keep/LFR/3.2.0.3/SC_potential mean_ HK_datasets/Sine_5Hz_on_V

Résultats du test Envoi d une sinusoide 10hz sur SC_E1E2_F3
Les données sont dans le répertoire /home/validation/data/R3++/3.2.0.3/1.1.91/SC_potential_mean_HK_datasets/Sine_5Hz_on_E1E2.
#2 - 16/03/2017 02:19 PM - Veronique bouzid

- Description updated

#3 - 16/03/2017 02:27 PM - Veronique bouzid
- File deleted (Sine_0.1Hz_on_V_hk_cwif3.png)

#4 - 16/03/2017 02:28 PM - Veronique bouzid
- File Sine_0.1Hz_on_V_hk_cwif3.png added

#5 - 16/03/2017 02:29 PM - Veronique bouzid
- File deleted (Sine_0.1Hz_on_V_hk_cwif3.png)

#6 - 16/03/2017 02:31 PM - Veronique bouzid
- File Sine_0.1Hz_on_V_hk_cwif3.png added

#7 - 16/03/2017 02:52 PM - Veronique bouzid
- File Sine_0.1Hz_on_E1_hk_cwf3.png added
- File Sine_0.1Hz_on_E2_hk_cwf3.png added

#8 - 16/03/2017 03:23 PM - Veronique bouzid
- File Square_0.1Hz_on_V_hk_cwf3.png added

#9 - 16/03/2017 03:40 PM - Veronique bouzid
- File Square_0.1Hz_on_E1_hk_cwf3.png added
- File Square_0.1Hz_on_E2 hk_cwf3.png added

#10 - 16/03/2017 04:14 PM - Veronique bouzid
- File Sine_10Hz_on_V_hk_cwf f3.png added

#11 - 17/03/2017 07:26 AM - thomas chust
- File Sine_0.1Hz_V_HK vs CWF3_zoom.png added
- File Sine_0.1Hz_V_HK vs CWF3.png added

Premier résultat de comparaison un peu plus précis: super !

#12 - 17/03/2017 01:30 PM - Veronique bouzid
- File Sine_5Hz_on_V_hk_cwf3.png added
- File Sine_5Hz_on_E1_hk_cwf3.png added

#13 - 17/03/2017 01:38 PM - Veronique bouzid
- File deleted (Sine_5Hz_on_V_hk_cwf3.png)

#14 - 17/03/2017 01:39 PM - Veronique bouzid
- File Sine_5Hz_on_V_hk_cwf3.png added

#15 - 17/03/2017 05:38 PM - thomas chust
- File Square_0.1Hz_V_HK vs CWF3_zoom.png added

Petit probléme de saturation dans la transition ce qui explique une moyenne un peu en dessous (a priori transition exceptionnel dans la nature ...)

#16 - 20/03/2017 11:37 AM - thomas chust
- File Sine_5Hz_V_HK vs CWF3 vs simu_zoom.png added
- File Sine_5Hz_V_HK vs CWF3 vs simu.png added
ftp://ftp.lpp.polytechnique.fr/bouzid/keep/LFR/3.2.0.3/SC_potential_mean_HK_datasets/Sine_5Hz_on_E1E2

- File Sine_0.1Hz_V_HK vs CWF3 vs simu_zoomZ2.png added

- File Sine_0.1Hz_V_HK vs CWF3 vs simu_zoom.png added

- File Square_0.1Hz_V_HK vs CWF3 vs simu_zoom.png added
- Tracker changed from Support to Bug

- Assignee changed from thomas chust to paul leroy

J'ai simulé la moyenne glissante que représente les HK a 1s a partir des CWF3. Sur les courbes jointes il s'agit des courbes en magenta. Les HK
sont en bleu et les CWF3 sont comme avant en cyan.

1) globalement bon accord entre les HK de Paul et ceux que je simule

2) un zoom montre que les HK de Paul ne sont pas datés a une date associée a un échantillon CWF3. A priori cela n'est pas normal méme si cela
n'est pas dramatique en soi. Indicateur d'un bug sous-jacent ?

check.pnglLe paquet HK porte une date qui correspond a sa date de création (lecture du temps dans les registres internes au moment de remplir le
champs "time" du paquet), ce n'est pas I'acquisition time d'un échantillon a F3.

3) pour le Sine a 5H il y a comme un bug que le plot de véro permettait déja de voir: oscillation relativement importante de période 3s avec une
accentuation assez prononcée intervenant réguliérement

check.pngPeut-étre un effet collatéral de ma période de 60ms?

4) la simu ne montre absolument pas ce comportement, ce qui donne a penser qu'il y a un bug quelque part ...

check.pngPas forcément un bug, c'est peut-étre juste la fagon dont ¢a se comporte avec une période de 60ms pour la tdche de moyennage. Tu crois
que tu pourrais simuler ¢a?

#17 - 20/03/2017 02:05 PM - thomas chust

- Priority changed from Normal to Urgent

#18 - 20/03/2017 02:28 PM - paul leroy

- Assignee changed from paul leroy to thomas chust

#19 - 20/03/2017 03:36 PM - paul leroy

- Assignee changed from thomas chust to Veronique bouzid

Je ne vois pas le numéro de révision du soft utilisé pour produire les derniers tracés. Vous pouvez me le redonner?

#20 - 20/03/2017 03:49 PM - thomas chust
- Assignee changed from Veronique bouzid to paul leroy
paul leroy wrote:

Je ne vois pas le numéro de révision du soft utilisé pour produire les derniers tracés. Vous pouvez me le redonner?

Ces derniers tracés sont produit avec les données présentées ci-dessus par Véro: 3.2.0.3

#21 - 20/03/2017 04:22 PM - paul leroy

Alors il faudrait essayer avec une version ultérieure, genre 3.2.0.6.

#22 - 20/03/2017 04:22 PM - paul leroy

- Assignee changed from paul leroy to thomas chust

#23 - 20/03/2017 05:17 PM - thomas chust
- File Sine_5Hz_V_HK vs CWF3 vs simu_zoom_60ms.png added

- Assignee changed from thomas chust to paul leroy

4) la simu ne montre absolument pas ce comportement, ce qui donne a penser qu'il y a un bug quelque part ...
check.pngPas forcément un bug, c'est peut-étre juste la fagon dont ¢a se comporte avec une période de 60ms pour la tdche de moyennage. Tu crois
que tu pourrais simuler ¢a?

Voila ce que cela donne. Je ne suis pas sre a 100% encore mais ¢a va dans le sens que tu indiques. J'ai un doute avec la datation de mon HK car
j'en tire un tous les 16 or 16*60ms c'est plus court que 1s ... Mais I'effet recherché est bien la toutefois.

PS: c'est toujours avec le mém jeu de données 3.2.0.3. Véro et Bruno sont actuellment en train d'en rejouer je crois ...

#24 - 20/03/2017 05:41 PM - Veronique bouzid
- File Sine_5Hz_on_V_hk_cwf3.png added
Test effectué sur 3.2.0.6

--> Pas terrible sur les HK .....

#25 - 21/03/2017 08:06 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

OK, pourrais tu refaire un essais avec la révision 3.2.0.7? Merci d'avance.

#26 - 21/03/2017 07:23 PM - thomas chust

- File Sine_5Hz_V_HK vs CWF3 vs simu_zoom_60ms_best.png added

- Assignee changed from Veronique bouzid to paul leroy

thomas chust wrote:

4) la simu ne montre absolument pas ce comportement, ce qui donne a penser gqu'il y a un bug quelque part ...

check.pngPas forcément un bug, c'est peut-étre juste la fagon dont ¢a se comporte avec une période de 60ms pour la tache de moyennage. Tu

crois que tu pourrais simuler ¢a?

Voila ce que cela donne. Je ne suis pas slre a 100% encore mais ¢a va dans le sens que tu indiques. J'ai un doute avec la datation de mon HK

car j'en tire un tous les 16 or 16*60ms c'est plus court que 1s ... Mais l'effet recherché est bien la toutefois.

PS: c'est toujours avec le méme jeu de données 3.2.0.3. Véro et Bruno sont actuellment en train d'en rejouer je crois ...

J'ai amélioré un peu ma routine de simu: je retrouve bien un motif régulier de I'ordre de ce qui est observé

#27 - 27/03/2017 09:43 AM - paul leroy
- Status changed from New to In Progress

- Assignee changed from paul leroy to Veronique bouzid

J'ai fait des modifications sur le moyennage. J'ai fait des tests avec ma mini-Ifr en injectant un signal sur v et en regardant les données HK

décommutées avec lfrsgse.

L'impémentation actuelle vérifie que v, e1 et e2 on changé avant d'effectuer le calcul de la moyenne glissante. Visiblement, l'oscillation résiduelle

observée et expliquée par Thomas disparait.

A tester sur fsw >= 3.2.0.9

#28 - 27/03/2017 10:58 AM - thomas chust

- Assignee changed from Veronique bouzid to paul leroy

#30 - 27/03/2017 11:11 AM - paul leroy

- Assignee changed from paul leroy to thomas chust

Je vérifie qu'au moins une des composantes a changé.

#31 - 27/03/2017 03:57 PM - bruno katra

- Status changed from In Progress to Closed

Cloture lié a #1005
